package cdac.medinfo.sdk.hl7282.unrecognized;

/**
* Unrecognized field of Segment from the HL7 file which id Not understandable by the SDK.
*/
public class UnRecognizedField extends UnRecognizedData{

	private String segmentName;
	private String fieldName;
	
	/**
	 * Retrieve unrecognized Segment Name of the HL7 file.
	 * @return String - String of unrecognized Segment Name
	 */
	public String getSegmentName()
	{
		return segmentName;
	}
	
	/**
	 * Set unrecognized Segment Name of the HL7 file.
	 * @param segmentName - String of unrecognized Segment Name
	 */
	public void setSegmentName(String segmentName)
	{
		this.segmentName = segmentName;
	}
	
	/**
	 * Retrieve unrecognized Field Name of the HL7 file.
	 * @return String - String of unrecognized Field Name
	 */
	public String getFieldName()
	{
		return fieldName;
	}
	
	/**
	 * Set unrecognized Field Name of the HL7 file.
	 * @param fieldName - String of unrecognized Field Name
	 */
	public void setFieldName(String fieldName)
	{
		this.fieldName = fieldName;
	}
}
